Bug 1275438 - Review Request: xindy - Index generator for structured documents like LaTeX or SGML
Summary: Review Request: xindy - Index generator for structured documents like LaTeX o...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2015-10-26 22:23 UTC by Attila Zsolt Sajo
Modified: 2019-05-29 15:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-29 15:11:11 UTC
Type: ---
zbyszek: fedora-review?


Attachments (Terms of Use)

Description Attila Zsolt Sajo 2015-10-26 22:23:41 UTC
Spec URL: http://landscape.geo.klte.hu/sajozsattila/Fedora_packages/xindy.spec
SRPM URL: http://landscape.geo.klte.hu/sajozsattila/Fedora_packages/xindy-2.5.1-1.fc21.src.rpm

Description: xindy is an index processor that can be used to generate book-like
indexes for arbitrary document-preparation systems. This includes
systems such as TeX and LaTeX, the roff-family, SGML/XML-based
systems (e.g. HTML) that process some kind of text and generate
indexing information. The kernel system is not fixed to any specific
system, but can be configured to work together with such systems.

In comparison to other index processors xindy has several powerful
features that make it an ideal framework for describing and
generating complex indices, addressing especially international
indexing.

Fedora Account System Username: sajozsattila

Comment 1 Attila Zsolt Sajo 2015-10-26 22:29:12 UTC
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=11589399

%%%%%%%%%%%%%
i686 and x86_64 is build without error

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Output of rpmlint -i xindy.spec xindy-2.5.1-1.fc21.i686.rpm xindy-2.5.1-1.fc21.src.rpm:

xindy.i686: W: spelling-error %description -l en_US roff -> toff, riff, off
The value of this tag appears to be misspelled. Please double-check.

xindy.i686: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

xindy.src: W: spelling-error %description -l en_US roff -> toff, riff, off
The value of this tag appears to be misspelled. Please double-check.

2 packages and 1 specfiles checked; 0 errors, 3 warnings.

%%%%%%%%%%%%%%
There is no speeling-error in the description, see above.

I doo not know what I suppose to do with the only-non-binary-in-usr-lib warning.

Comment 2 Christopher Meng 2015-10-27 08:44:00 UTC
Your spec doesn't match the Fedora standard:

0. Please use full brackets:

%{buildroot}, not %buildroot, also, 
1. make -j1

Reason?

2. clisp sucks on ARM.

3. 
make install DESTDIR="%buildroot";
rm -f "%buildroot/%_prefix/VERSION";

";" means nothing here, not sure why you added it.

4. %clean is not needed, and Group as well.

5. You don't need to put your long name or email address on the top to show it's something from you, we all know it's a "spec file for package xindy" from its Name. Your email will be showned at %changelog section.

6. Invalid changelog, please read guideline to see how to write good changelog.

Comment 3 Upstream Release Monitoring 2015-10-27 10:39:07 UTC
sajozsattila's scratch build of xindy-2.5.1-1.fc21.src.rpm for f22 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11597186

Comment 4 Attila Zsolt Sajo 2015-10-27 11:03:40 UTC
I have corrected the mistakes except the ARM build error.  It is a SIGSEGV error (see: https://kojipkgs.fedoraproject.org//work/tasks/7191/11597191/build.log), which need more effort to solve. I haven't got hardware to properly debug, so I do not see when I can solve this.

Check the updated spec file (same address), and the the new Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=11597186

Comment 5 Zbigniew Jędrzejewski-Szmek 2016-01-20 22:01:53 UTC
Package looks good, apart from some trivial possible improvements:

- BuildRoot is not necessary in Fedora.
- %defattr also not necessary.
- make install DESTDIR="%{buildroot}" → %make_install

I'd be happy to sponsor you into the packagers group. Please do two or three reviews of packages from http://fedoraproject.org/PackageReviewStatus/NEW.html and paste the links here. If you have any questions or issues, I'll try to help (zbyszek at in waw pl, zbyszek on #fedora-devel).

Standard disclaimer: Running fedora-review is a good first step, but please note that the automatically generated template needs to be filled in in various places, and trimmed in others. Not everything the tools say is always correct. Sometimes they are outdated, sometimes they are plain wrong. It's always best to link to the relevant part of the guidelines. Please pick packages that are in the area you are interested in, so that you can finalize the review after you get the packager bit.

Comment 6 Upstream Release Monitoring 2016-01-20 22:10:10 UTC
zbyszek's scratch build of xindy-2.5.1-1.fc21.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12624931

Comment 7 Upstream Release Monitoring 2016-01-20 22:19:57 UTC
zbyszek's scratch build of xindy-2.5.1-1.fc21.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12624932

Comment 8 Zbigniew Jędrzejewski-Szmek 2016-01-20 22:34:48 UTC
Just open a bug for clisp. For now you can add ExcludeArch.

Comment 9 Zbigniew Jędrzejewski-Szmek 2016-03-01 21:22:17 UTC
?

Comment 10 Ankur Sinha (FranciscoD) 2019-05-29 15:11:11 UTC
Closing this as xindy is now provided by texlive-base and should be available soon, thanks to Jerry.

https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/PCLDKHMHV74EXEVHO4N67BZHIN2KSKK4/#EDYQMWDTQ4USAVJGMAGH7Z7SXEV4CNTK


Note You need to log in before you can comment on or make changes to this bug.